kind: PersistentVolume
apiVersion: v1
metadata:
  name: keycloak-saas
spec:
  storageClassName: manual
  capacity:
    storage: 8Gi
  accessModes:
    - ReadWriteOnce
    #- ReadWriteMany
  hostPath:
    #path: "/home/keycloak/keycloak"
    path: /mnt/keycloak-postgresql
  nodeAffinity:
    required:
      nodeSelectorTerms:
      - matchExpressions:
        - key: kubernetes.io/hostname
          operator: In
          values:
          #- imxc-worker1
          - {{ .Values.node.affinity }}
  claimRef:
    name: data-keycloak-saas-postgresql-0
    #namespace: auth

